std::tr2::dynamic_bitset< _WordT, _Alloc >::reference Class Reference

## Public Member Functions

| reference (dynamic_bitset &__b, size_type __pos) noexcept
reference & | flip () noexcept
| operator bool () const noexcept
reference & | operator= (bool __x) noexcept
reference & | operator= (const reference &__j) noexcept
bool | operator~ () const noexcept

## Friends

class | dynamic_bitset

## Detailed Description

### template<typename _WordT = unsigned long long, typename _Alloc = std::allocator<_WordT>>
class std::tr2::dynamic_bitset< _WordT, _Alloc >::reference

This encapsulates the concept of a single bit. An instance of this class is a proxy for an actual bit; this way the individual bit operations are done as faster word-size bitwise instructions.

Most users will never need to use this class directly; conversions to and from bool are automatic and should be transparent. Overloaded operators help to preserve the illusion.

(On a typical system, this "bit %reference" is 64 times the size of an actual bit. Ha.)

Definition at line 513 of file dynamic_bitset.

The documentation for this class was generated from the following file:

- dynamic_bitset